## org.apache.poi.hslf.record
Class Environment

    java.lang.Object
      org.apache.poi.hslf.record.Record
          org.apache.poi.hslf.record.RecordContainer
              org.apache.poi.hslf.record.PositionDependentRecordContainer
                  org.apache.poi.hslf.record.Environment

All Implemented Interfaces:
  PositionDependentRecord

    public final class Environment

extends PositionDependentRecordContainer

Environment, which contains lots of settings for the document.

Author:
  Nick Burch

Field Summary

Fields inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`myLastOnDiskOffset`

Fields inherited from class org.apache.poi.hslf.record.RecordContainer
`_children`

Fields inherited from class org.apache.poi.hslf.record.Record
`logger`

Constructor Summary
`protected` `Environment(byte[] source, int start, int len)` Set things up, and find our more interesting children

Method Summary
`FontCollection` `getFontCollection()` Returns the FontCollection of this Environment
`long` `getRecordType()` We are of type 1010
`TxMasterStyleAtom` `getTxMasterStyleAtom()`
`void` `writeOut(java.io.OutputStream out)` Write the contents of the record back, so it can be written to disk

Methods inherited from class org.apache.poi.hslf.record.PositionDependentRecordContainer
`getLastOnDiskOffset, getSheetId, setLastOnDiskOffset, setSheetId, updateOtherRecordReferences`

Methods inherited from class org.apache.poi.hslf.record.RecordContainer
`addChildAfter, addChildBefore, appendChildRecord, findFirstOfType, getChildRecords, handleParentAwareRecords, isAnAtom, moveChildBefore, moveChildrenAfter, moveChildrenBefore, removeChild, setChildRecord, writeOut`

Methods inherited from class org.apache.poi.hslf.record.Record
`buildRecordAtOffset, createRecordForType, findChildRecords, writeLittleEndian, writeLittleEndian`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Environment

    protected Environment(byte[] source,
                          int start,
                          int len)

  Set things up, and find our more interesting children

Method Detail

### getFontCollection

    public FontCollection getFontCollection()

  Returns the FontCollection of this Environment

### getTxMasterStyleAtom

    public TxMasterStyleAtom getTxMasterStyleAtom()

### getRecordType

    public long getRecordType()

  We are of type 1010

  Specified by:
    `getRecordType` in class `Record`

### writeOut

    public void writeOut(java.io.OutputStream out)
                  throws java.io.IOException

  Write the contents of the record back, so it can be written to disk

  Specified by:
    `writeOut` in class `Record`
  Throws:
    `java.io.IOException`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.